Skip to main content
Resource Center/Hardware/Primary Storage Operations/Local Storage Operations

GetLocalStorageHostDiskCapacity

GetLocalStorageHostDiskCapacity

GET/zstack/v1/primary-storage/local-storage/{primaryStorageUuid}/capacities

Operation ID

GetLocalStorageHostDiskCapacity

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • primaryStorageUuid
    StringRequired

    The local storage UUID.

Query Parameters

  • hostUuid
    String

    Optional. The host UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The short description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • hostUuid
      StringRequired

      The host UUID.

    • totalCapacity
      longRequired

      The total capacity.

    • availableCapacity
      longRequired

      The available capacity.

    • totalPhysicalCapacity
      longRequired

      The total physical capacity.

    • availablePhysicalCapacity
      longRequired

      The available physical capacity.